-- Name: EAS_AddFillTypeToSellingStation
-- Author: Chissel

EAS_AddFillTypeToSellingStation = {}
print("load selling_script");
function EAS_AddFillTypeToSellingStation.load(self, superFunc, components, xmlFile, key, customEnv, i3dMappings, rootNode)
  if key == "placeable.sellingStation" then
    xmlFile:iterate(key..".unloadTrigger", function(index,  unloadTriggerKey)
      local fillTypes = xmlFile:getString(unloadTriggerKey.."#fillTypes")

      for _, fillType in pairs(g_fillTypeManager:getFillTypesByNames(fillTypes)) do
        if fillType == FillType.WOOD then
            local fillTypesNew = xmlFile:getString(unloadTriggerKey.."#fillTypes")
            xmlFile:setString(unloadTriggerKey.."#fillTypes", fillTypesNew.." ".."PLANKS WOODBEAM")
			
        end
      end
    end)

    local numberOfFillTypes = -1
    xmlFile:iterate(key..".fillType", function(_, _)
      numberOfFillTypes = numberOfFillTypes + 1
    end)

    xmlFile:iterate(key..".fillType", function(index, fillTypeKey)
        local fillType = g_fillTypeManager:getFillTypeIndexByName(xmlFile:getValue(fillTypeKey .. "#name"))
        local planks = g_fillTypeManager:getFillTypeByName("PLANKS")
		local woodbeam = g_fillTypeManager:getFillTypeByName("WOODBEAM")
        local i = 1
        if fillType == FillType.WOOD then

            xmlFile:setString(key..".fillType("..numberOfFillTypes+i..")#name", planks.name)
            xmlFile:setFloat(key..".fillType("..numberOfFillTypes+i..")#priceScale", 1.0)
            xmlFile:setBool(key..".fillType("..numberOfFillTypes+i..")#supportsGreatDemand", true)
            xmlFile:setBool(key..".fillType("..numberOfFillTypes+i..")#disablePriceDrop", false)
        end
		 if fillType == FillType.WOOD then

            xmlFile:setString(key..".fillType("..numberOfFillTypes+i..")#name", woodbeam.name)
            xmlFile:setFloat(key..".fillType("..numberOfFillTypes+i..")#priceScale", 1.0)
            xmlFile:setBool(key..".fillType("..numberOfFillTypes+i..")#supportsGreatDemand", true)
            xmlFile:setBool(key..".fillType("..numberOfFillTypes+i..")#disablePriceDrop", false)
        end
    end)
  end

  local returnValues = superFunc(self, components, xmlFile, key, customEnv, i3dMappings, rootNode)

  return returnValues
end

SellingStation.load = Utils.overwrittenFunction(SellingStation.load, EAS_AddFillTypeToSellingStation.load)